Subject: bug#33000: openal 404 "Not Found"

From: [email-masked] (Ludovic Courtès)
Date: Wed, 10 Oct 2018 14:37:12 +0200

Hello Nam,

Nam Nguyen <[email-masked]> skribis:

> When trying to build OpenAL, I get a 404 "Not Found."
>
>> download failed "http://tarballs.nixos.org/sha256/1mhf5bsb58s1xk6hvxl7ly7rd4rpl9z8h07xl1q94brywykg7bgi" 404 "Not Found"
>> failed to download "/gnu/store/3bdqdxl3aribv35dcp2glx8sg3slxxkx-openal-soft-1.19.0.tar.bz2" from "http://kcat.strangesoft.net/openal-releases/openal-soft-1.19.0.tar.bz2"
>
> The project homepage may have moved from
> http://kcat.strangesoft.net/openal-releases/ to
> http://openal-soft.org/openal-releases/.
>
> I arrived at this from this commit on their Github repository.
> https://github.com/kcat/openal-soft/commit/6562a939ea5a5b582d6aa182f3f6fa7411a5e222#diff-04c6e90faac2675aa89e2176d2eec7d8
>
> I am not sure if the original website is just temporarily down or if
> it has moved. The Github repository mentions the official website being
> openal-soft.org. Sources are also available on Github but with a different
> extension.

Thanks for the heads-up, I’ve applied the change.  It does seem that
openal-soft.org is now the official web site.

It’s unfortunate that our content-addressed mirrors failed to provide
the tarball, even though both hydra.gnu.org and berlin.guixsd.org had a
substitute:

--8<---------------cut here---------------start------------->8---
$ wget -q -O - https://mirror.hydra.gnu.org/3bdqdxl3aribv35dcp2glx8sg3slxxkx.narinfo
StorePath: /gnu/store/3bdqdxl3aribv35dcp2glx8sg3slxxkx-openal-soft-1.19.0.tar.bz2
URL: guix/nar/3bdqdxl3aribv35dcp2glx8sg3slxxkx-openal-soft-1.19.0.tar.bz2
Compression: none
NarHash: sha256:1b8ds0s6a3ba6zm7faaxa36gsfviam6pbdsbpm3438gs8v04d43x
NarSize: 575280
References: 
FileSize: 575280
System: x86_64-linux
Deriver: al4sakwb99gxpks329pf3dwdx3zifysy-openal-soft-1.19.0.tar.bz2.drv
Signature: 1;20121227-hydra.gnu.org;KHNpZ25hdHVyZSAKIChkYXRhIAogIChmbGFncyBwa2NzMSkKICAoaGFzaCBzaGEyNTYgIzM5QzI3QzRFMjc2ODA1NkZBM0MyMUIyRjMwMTVEMUE0RjVBMTY2RTJGMUExMDM3RkMwNzk4NTMzQkExMjI2MEMjKQoK
--8<---------------cut here---------------end--------------->8---

Anyway this is now fixed and both
<https://berlin.guixsd.org/file/openal-soft-1.19.0.tar.bz2/sha256/1mhf5bsb58s1xk6hvxl7ly7rd4rpl9z8h07xl1q94brywykg7bgi>
and
<https://mirror.hydra.gnu.org/file/openal-soft-1.19.0.tar.bz2/sha256/1mhf5bsb58s1xk6hvxl7ly7rd4rpl9z8h07xl1q94brywykg7bgi>
provide the file.

Thank you!

Ludo’.